Retrieves all territories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "d3b142ef-1d79-42ff-a9b3-df90c167854f",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "5ab7ae03-a409-4859-8bf6-e241cd4bce9c",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "423fdbd3-754a-4f49-a3ca-9f1491da1e89",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "6b43642d-5cdd-42ba-8d29-de643bb6e5e9",
    "db_currency_id": "4a0e5eab-35a5-4d8d-af44-c3d8374d7ced",
    "db_language_id": "ed6e7e7a-18cb-4429-8c03-d220787a14fb",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-09-18T06:18:53.5531919+00:00"
  },
  "modified_dateutc": "2026-09-18T06:18:53.5531919+00:00"
}